Samsung YP-S2 player not recognised as digital audio player

Bug #331538 reported by Achim on 2009-02-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
hal-info (Fedora)
Won't Fix
Medium
hal-info (Ubuntu)
Undecided
Martin Pitt
Declined for Jaunty by Martin Pitt

Bug Description

Binary package hint: hal-info

The Samsung YP-S2 doesn't get recognised as digital audio player.

Description: Ubuntu 8.10
Release: 8.10

hal-info:
  Installiert: 20081124-0ubuntu1~intrepid
  Kandidat: 20081124-0ubuntu1~intrepid
  Versions-Tabelle:
 *** 20081124-0ubuntu1~intrepid 0
        500 ftp://local intrepid-updates/main Packages
        100 /var/lib/dpkg/status
     20081013-0ubuntu3 0
        500 ftp://local intrepid/main Packages

I have created a little patch so that the YP-S2 gets recognised as DAP.

lsusb:
Bus 007 Device 009: ID 04e8:5095 Samsung Electronics Co., Ltd

lshal:
udi = '/org/freedesktop/Hal/devices/usb_device_4e8_5095_E6E0F712AFF00000'
  info.linux.driver = 'usb' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_409_58_noserial' (string)
  info.product = 'YP-S2' (string)
  info.subsystem = 'usb_device' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_4e8_5095_E6E0F712AFF00000' (string)
  info.vendor = 'Samsung Electronics Co., Ltd' (string)
  linux.device_file = '/dev/bus/usb/007/010' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb7/7-2/7-2.3' (string)
  usb_device.bus_number = 7 (0x7) (int)
  usb_device.can_wake_up = false (bool)
  usb_device.configuration_value = 1 (0x1) (int)
  usb_device.device_class = 0 (0x0) (int)
  usb_device.device_protocol = 0 (0x0) (int)
  usb_device.device_revision_bcd = 544 (0x220) (int)
  usb_device.device_subclass = 0 (0x0) (int)
  usb_device.is_self_powered = false (bool)
  usb_device.linux.device_number = 10 (0xa) (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb7/7-2/7-2.3' (string)
  usb_device.max_power = 500 (0x1f4) (int)
  usb_device.num_configurations = 1 (0x1) (int)
  usb_device.num_interfaces = 1 (0x1) (int)
  usb_device.num_ports = 0 (0x0) (int)
  usb_device.product = 'YP-S2' (string)
  usb_device.product_id = 20629 (0x5095) (int)
  usb_device.serial = 'E6E0F712AFF00000' (string)
  usb_device.speed = 480.0 (480) (double)
  usb_device.vendor = 'Samsung Electronics Co., Ltd' (string)
  usb_device.vendor_id = 1256 (0x4e8) (int)
  usb_device.version = 2.0 (2) (double)

I hope I did everything right, I was not sure about this line
<append key="portable_audio_player.input_formats" type="strlist">audio/x-wav</append>
I couldn't understand for what it should be good, as it seems many players have it but for me it doesn't make sense.
So I haven't copied it for the YP-S2.

File Format Supported MP3, WMA, OGG

I have tested this patch with Rhythmbox and Banshee, as far as I can tell everything seems to work like it should.

Related branches

Description of problem:
The Samsung YP-S2 player is classed as removable hard drive rather than a digital audio player. This means it isn't recognised by Rhythmbox et al as an audio device.

Version-Release number of selected component (if applicable):
hal-0.5.12-14.20081027git.fc10.x86_64

How reproducible:
Consistent

Steps to Reproduce:
1. Plug player into USB
2. Player is automounted
3. Properties show it as a removable hard drive - doesn't show as a device on Rythmbox

Actual results:

Expected results:

Additional info:
content from /var/log/messages on mounting device:

Jan 26 21:09:05 localhost kernel: usb 1-5: new high speed USB device using ehci_hcd and address 5
Jan 26 21:09:05 localhost kernel: usb 1-5: configuration #1 chosen from 1 choice
Jan 26 21:09:05 localhost kernel: scsi6 : SCSI emulation for USB Mass Storage devices
Jan 26 21:09:05 localhost kernel: usb 1-5: New USB device found, idVendor=04e8, idProduct=5095
Jan 26 21:09:05 localhost kernel: usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jan 26 21:09:05 localhost kernel: usb 1-5: Product: YP-S2
Jan 26 21:09:05 localhost kernel: usb 1-5: Manufacturer: Samsung Electronics
Jan 26 21:09:05 localhost kernel: usb 1-5: SerialNumber: 2A05FDB96EF00000
Jan 26 21:09:11 localhost kernel: scsi 6:0:0:0: Direct-Access Samsung YP-S2 1.00 PQ: 0 ANSI: 2
Jan 26 21:09:11 localhost kernel: sd 6:0:0:0: [sdc] 1929216 512-byte hardware sectors (988 MB)
Jan 26 21:09:11 localhost kernel: sd 6:0:0:0: [sdc] Write Protect is off
Jan 26 21:09:11 localhost kernel: sd 6:0:0:0: [sdc] Assuming drive cache: write through
Jan 26 21:09:11 localhost kernel: sd 6:0:0:0: [sdc] 1929216 512-byte hardware sectors (988 MB)
Jan 26 21:09:11 localhost kernel: sd 6:0:0:0: [sdc] Write Protect is off
Jan 26 21:09:11 localhost kernel: sd 6:0:0:0: [sdc] Assuming drive cache: write through
Jan 26 21:09:11 localhost kernel: sdc:
Jan 26 21:09:11 localhost kernel: sd 6:0:0:0: [sdc] Attached SCSI removable disk
Jan 26 21:09:11 localhost kernel: sd 6:0:0:0: Attached scsi generic sg3 type 0
Jan 26 21:09:11 localhost gnome-keyring-daemon[2874]: adding removable location: volume_uuid_E475_59CB at /media/S2
Jan 26 21:09:11 localhost hald: mounted /dev/sdc on behalf of uid 500

Achim (ach1m) wrote :
Changed in hal-info:
status: Unknown → Confirmed
Martin Pitt (pitti) wrote :

Thanks, committed upstream.

Changed in hal-info:
assignee: nobody → pitti
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal-info - 20090227-0ubuntu1

---------------
hal-info (20090227-0ubuntu1) jaunty; urgency=low

  * New git snapshot:
    - Hotkeys for Fujitsu Siemens Amilo Si 1520 (LP: #317505)
    - Fix Fn+Arrow "Brightness Up" key on Acer laptops (LP: #327707)
    - UM175 modem (LP: #328309)
    - Sleep quirks for HP nw8440 (LP: #328522)
    - Samsung YP-S2 audio player (LP: #331538)
    - Samsung YP-S5 audio player (LP: #332913)
    - Fix Samsung Q210 brightness keys (LP: #333352)
    - Sony Ericsson w880i/3G mobile modem (LP: #334327)

 -- Martin Pitt <email address hidden> Fri, 27 Feb 2009 11:14:51 +0100

Changed in hal-info:
status: Fix Committed → Fix Released

Have you tried with the latest hal package in Fedora 10, Fedora 11 or tried Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

--
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 10 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Changed in hal-info (Fedora):
status: Confirmed → Won't Fix
Changed in hal-info (Fedora):
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.